Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026547
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajorhave not tried2014-05-14 16:252014-11-24 09:02
ReporteregoitzView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version3.0PR15Q1
StatusclosedFix in branchpiFixed in SCM revision84865a340443
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026547: When clicking on refresh button being on a record on a page differnt than the first, two selects are executed

DescriptionWhen clicking on refresh button being on a record on a page differnt than the first, two selects are executed.
Steps To Reproduce-On a window with many records (sales order), on grid view go to the last records and put the cursor on one of them.
-Then click on refresh
-See on the developers tool that a request is done to the datasource with a targetrecord.
*This produces two queries to the database; one to get the id's and the other to get the records arround the targetrecord
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026640pi closedguillermogil On clicking a record from Recent Documents it should open just its record, not the whole window 
related to design defect 0025811 closedAugustoMauch unnecessary request on grid refresh 

-  Notes
(0067456)
hgbot (developer)
2014-05-26 16:00

Repository: erp/devel/pi
Changeset: 3e63bdd825a27d77a4494e7c88d46321d2cbda68
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon May 26 15:35:36 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3e63bdd825a27d77a4494e7c88d46321d2cbda68 [^]

Fixed issue 26547: Deleted request to know targetRow

TargetRow is now brought from the client instead of calculating it on the server

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
---
(0067459)
hgbot (developer)
2014-05-26 16:56

Repository: erp/devel/pi
Changeset: 789521cc4e6fc3b774eb093903e4ea90cd8f2f3e
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon May 26 16:55:57 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/789521cc4e6fc3b774eb093903e4ea90cd8f2f3e [^]

Related to issue 26547: Reverted changes due a bad behavior

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
---
(0067498)
hudsonbot (developer)
2014-05-27 23:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/15bdf44a37ae [^]
Maturity status: Test
(0067499)
hudsonbot (developer)
2014-05-27 23:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/15bdf44a37ae [^]
Maturity status: Test
(0067506)
guillermogil (developer)
2014-05-28 08:57

We are going to define some specs about the proper behavior of the grid before modifying.
(0071914)
alostale (developer)
2014-11-24 09:01

Fixed by changeset for 0025811
(0071915)
alostale (developer)
2014-11-24 09:02

Tested after 0025811 is fixed.

Now a single request is done to Invoice header without sending the target record ID.

- Issue History
Date Modified Username Field Change
2014-05-14 16:25 egoitz New Issue
2014-05-14 16:25 egoitz Assigned To => alostale
2014-05-14 16:25 egoitz Modules => Core
2014-05-14 16:25 egoitz Triggers an Emergency Pack => No
2014-05-14 16:25 egoitz Tag Attached: Performance
2014-05-19 14:36 jonalegriaesarte Target Version => PR14Q3
2014-05-21 08:19 alostale Relationship added related to 0025811
2014-05-23 11:58 guillermogil Relationship added related to 0026640
2014-05-26 09:33 guillermogil Note Added: 0067435
2014-05-26 09:34 guillermogil Note Deleted: 0067435
2014-05-26 15:35 guillermogil Assigned To alostale => guillermogil
2014-05-26 15:38 guillermogil Note Added: 0067455
2014-05-26 15:43 guillermogil Issue Monitored: alostale
2014-05-26 15:43 guillermogil Review Assigned To => alostale
2014-05-26 16:00 hgbot Checkin
2014-05-26 16:00 hgbot Note Added: 0067456
2014-05-26 16:00 hgbot Status new => resolved
2014-05-26 16:00 hgbot Resolution open => fixed
2014-05-26 16:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3e63bdd825a27d77a4494e7c88d46321d2cbda68 [^]
2014-05-26 16:56 guillermogil Status resolved => new
2014-05-26 16:56 guillermogil Resolution fixed => open
2014-05-26 16:56 hgbot Checkin
2014-05-26 16:56 hgbot Note Added: 0067459
2014-05-26 16:57 guillermogil Note Deleted: 0067455
2014-05-27 23:09 hudsonbot Checkin
2014-05-27 23:09 hudsonbot Note Added: 0067498
2014-05-27 23:09 hudsonbot Checkin
2014-05-27 23:09 hudsonbot Note Added: 0067499
2014-05-28 08:57 guillermogil Note Added: 0067506
2014-05-28 08:57 guillermogil Type defect => design defect
2014-06-06 13:50 guillermogil Assigned To guillermogil => AugustoMauch
2014-06-27 12:40 AugustoMauch Target Version PR14Q3 =>
2014-11-24 09:01 alostale Status new => scheduled
2014-11-24 09:01 alostale fix_in_branch => pi
2014-11-24 09:01 alostale Note Added: 0071914
2014-11-24 09:01 alostale Status scheduled => resolved
2014-11-24 09:01 alostale Fixed in Version => 3.0PR15Q1
2014-11-24 09:01 alostale Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/3e63bdd825a27d77a4494e7c88d46321d2cbda68 [^] => http://code.openbravo.com/erp/devel/pi/rev/84865a340443fbc6aa5c36d777c8c57df2f6525b [^]
2014-11-24 09:01 alostale Resolution open => fixed
2014-11-24 09:02 alostale Note Added: 0071915
2014-11-24 09:02 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker